# studio::DuckDrag_Translate Class Reference

`#include <duckmatic.h>`

Inheritance diagram for studio::DuckDrag_Translate:

List of all members.

## Public Member Functions

void | begin_duck_drag (Duckmatic *duckmatic, const synfig::Vector &begin)
bool | end_duck_drag (Duckmatic *duckmatic)
void | duck_drag (Duckmatic *duckmatic, const synfig::Vector &vector)

## Member Function Documentation

void DuckDrag_Translate::begin_duck_drag | ( | Duckmatic * | duckmatic,
|  | const synfig::Vector & | begin |
| ) |  |  | `[virtual]`

Implements studio::DuckDrag_Base.

References studio::Duckmatic::find_duck(), and studio::Duckmatic::get_selected_ducks().

bool DuckDrag_Translate::end_duck_drag | ( | Duckmatic * | duckmatic | ) | `[virtual]`

Implements studio::DuckDrag_Base.

References studio::Duckmatic::signal_edited_selected_ducks(), and studio::Duckmatic::signal_user_click_selected_ducks().

void DuckDrag_Translate::duck_drag | ( | Duckmatic * | duckmatic,
|  | const synfig::Vector & | vector |
| ) |  |  | `[virtual]`

Implements studio::DuckDrag_Base.

References studio::Duckmatic::get_duck_list(), studio::Duckmatic::get_selected_ducks(), studio::Duckmatic::get_time(), studio::Duckmatic::snap_point_to_grid(), studio::Duck::TYPE_POSITION, and studio::Duck::TYPE_VERTEX.

The documentation for this class was generated from the following files:

- duckmatic.h
- duckmatic.cpp